## org.hibernate.envers.query.criteria
Class AuditConjunction

    java.lang.Object
      org.hibernate.envers.query.criteria.AuditConjunction

All Implemented Interfaces:
  AuditCriterion, ExtendableCriterion

    public class AuditConjunction

extends Object
implements AuditCriterion, ExtendableCriterion

Constructor Summary
`AuditConjunction()`

Method Summary
`AuditConjunction` `add(AuditCriterion criterion)`
`void` `addToQuery(AuditConfiguration verCfg, String entityName, QueryBuilder qb, Parameters parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditConjunction

    public AuditConjunction()

Method Detail

### add

    public AuditConjunction add(AuditCriterion criterion)

  Specified by:
    `add` in interface `ExtendableCriterion`

### addToQuery

    public void addToQuery(AuditConfiguration verCfg,
                           String entityName,
                           QueryBuilder qb,
                           Parameters parameters)

  Specified by:
    `addToQuery` in interface `AuditCriterion`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.